package com.fzm.mall.server.admin.order.service;

import com.fzm.mall.server.admin.order.entity.dto.ConfigDTO;
import com.fzm.mall.server.admin.order.entity.dto.ConfigUpdateDTO;
import com.fzm.mall.server.admin.order.model.Config;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 订单中心-订单设置 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-17
 */
public interface IConfigService extends IService<Config> {

    void update(ConfigUpdateDTO configUpdateDTO);

    ConfigDTO read(String id);

    List<ConfigDTO> listAll();
}
